Show / Hide Table of Contents

# Struct ActionBarSlot

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.UI

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct ActionBarSlot

### Fields

| Improve this Doc View Source

#### ActionId

##### Declaration

    public int ActionId

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### ChargeIcon

##### Declaration

    public AtkImageNode*ChargeIcon

##### Field Value

Type | Description
--- | ---
AtkImageNode* |

| Improve this Doc View Source

#### ControlHintTextNode

##### Declaration

    public AtkTextNode*ControlHintTextNode

##### Field Value

Type | Description
--- | ---
AtkTextNode* |

| Improve this Doc View Source

#### Icon

##### Declaration

    public AtkComponentNode*Icon

##### Field Value

Type | Description
--- | ---
AtkComponentNode* |

| Improve this Doc View Source

#### IconFrame

##### Declaration

    public AtkResNode*IconFrame

##### Field Value

Type | Description
--- | ---
AtkResNode* |

| Improve this Doc View Source

#### PopUpHelpTextPtr

##### Declaration

    public byte *PopUpHelpTextPtr

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### RecastOverlayContainer

##### Declaration

    public AtkResNode*RecastOverlayContainer

##### Field Value

Type | Description
--- | ---
AtkResNode* |